# class DesktopOntologyLoader

###

Module | nepomuk
Namespace | Nepomuk
Class | DesktopOntologyLoader
Inherits | OntologyLoader

The DesktopOntologyLoader reads ontologies from the installed ontologies on the desktop using KStandardDirs. All possible ontology installation folders are searched for ontology desktop files.

Deprecated Ontologies should now be handled using the classes in the Nepomuk.Types namespace.

### methods

- DesktopOntologyLoader ( )

  returns ctor

- allOntologies ( )

  returns QList<QUrl>

  Get a list of all ontology URIs that could be found on the system.

- loadOntology (url)

  returns QList<Soprano::Statement>

  Argument | Type | Default
  --- | --- | ---
  url | QUrl |

  reimplemented from OntologyLoader